%global dlrn_nvr tripleo-ansible-0.4.2.dev166-0.20200404124614.67005aa
%global dlrn 1
%define upstream_version 0.4.2.dev166
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%global srcname tripleo_ansible
%global rolename tripleo-ansible

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 0.4.2
Release: 0.20200404124615.67005aa%{?dist}
Summary:        Ansible project for TripleO

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/tripleo-ansible
Source0: tripleo-ansible-0.4.2.dev166-0.20200404124614.67005aa.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=67005aad2a4193a4b0237707620f3362883b6087
Patch0001: 0001-tripleo-redhat-enforce-new-role-to-enforce-RHOSP-con.patch
Patch0002: 0002-DOWNSTREAM-ONLY-Specify-the-rhosp-constraints-regard.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-jinja2 >= 2.8.0
%if %{pyver} == 2
BuildRequires: PyYAML
%else
BuildRequires: python%{pyver}-PyYAML
%endif

Requires: ansible-config_template
Requires: ansible-role-openstack-operations
Requires: python%{pyver}-paunch
Requires: python%{pyver}-jinja2 >= 2.8.0

%description

Ansible project for TripleO

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/


%changelog
* Thu Apr 30 2020 Sofer Athlan-Guyot <sathlang@redhat.com> 0.4.2-0.20200404124615.67005aa
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823835)
- tripleo-redhat-enforce new role to enforce RHOSP constraints. (rhbz#1823835)

* Sat Apr 04 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Add recursive get key from dict

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- BaR Always do MySQL dumps even the services wont be stopped

* Thu Apr 02 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Using podman/docker ps to look for running sidecars

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Do not race with locks for the sync/wrapper script
- Do not duplicate config volumes for puppet manager
- Fix get_failed_containers() to correctly fetch container_data

* Sat Mar 28 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Rework how we push the content in the file

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Force container deletion if namespace does not exist in service_kill
- Insert hosts entries to the beginning of the file.

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo_container_manage: improve logging for failed containers
- Increase number of retries for container create async task
- Add role/playbook to manage nova image cache

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Filter out wrapper commands from the ps output

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Improve idempotency for images in podman container

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Remove useless doc in tripleo-container-manag
- Add a new set of tasks to build the openstack pool and key list
- tripleo-container-manage: fix check mode
- Revert "tripleo-container-image: add |list to containers_commands"

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Fix logic to stop overrwriting upgrade hieradata

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Fix octavia services restart

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Only add host entries for role_networks

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Forces root for get_ssh_private_key
- Remove all ignore_errors to avoid confusion when debugging
- Add grafana vip on the storage network
- Tune-up package install
- Creates container_config_data module

* Tue Mar 03 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Fixed the condition for gather_domains
- Remove tripleo_ceph_fetch_dir role

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- filters: make get_domain_id more robust

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Fix error with command ansible module and pipes
- Don't fail symlinking puppet modules if directory exists

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- BaR Rename the mysql_short_bootstrap_name

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- container_puppet_config: disable SElinux labelling

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Ensure rsync is installed during bootstrap

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Run standalone-upgrade job when touching container roles

* Sat Feb 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Add tmpwatch to the bootstrap

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo_container_manage: add systemd testcase for service reload
- podman/systemd: manage timer requires
- tripleo_container_rm: also remove systemd requires when they exist
- Add no_log to the podman login
- Use CI mirrors for molecule jobs
- tripleo_container_manage: disable logging for tasks using container_data
- paunch: add "cleanup" parameter, useful for apply action
- podman/systemd: fix task indentation for timer
- tripleo_container_manage/molecule: remove unused facts
- Add support for ceph_external_multi_config

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo_container_manage: improve testing coverage with molecule

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Do not inherit the calling ansible env by default

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Fix keystone password rotation

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo_container_manage: remove podman/delete.yml and use another role
- tripleo_container_manage: avoid excessive logging with podman facts
- tripleo_container_manage: reduce downtime for minor updates
- tripleo_container_manage: reduce cleanup when single config is given
- tripleo_container_manage: create a filter to get changed containers
- Allow to update container startup config with new config hashes
- tripleo-container-manage: remove hashed-* from default
- tripleo-container-manage: provide more debug doc
- container_puppet_config: update config_hash for all steps
- Remove json_error callback
- container_puppet_config: python3 fix
- container_puppet_config: cleanup old config files
- Stop docker service when is available only.
- Octavia: do not attempt container restart on empty list

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Use domain variable instead of generic resource data
- tripleo-keystone-resources: hide logs for resources with passwords

* Thu Feb 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- [TRAIN] Backport tripleo-systemd-wrapper (squash)

* Thu Feb 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches

* Wed Feb 12 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Convert all of the fedora28 container usage to centos8

* Wed Feb 12 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo-config: use become by default
- tripleo-config: add tripleo_config_remote_src option
- Initial documentation for tripleo-keystone-resources role
- [train-squash] Backport tripleo-keystone-resources role

* Mon Feb 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- paunch: allow to override any container config
- Rise async value for containers starting commands
- Add service management support.
- Add module "container_puppet_config"

* Sat Feb 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Pass only variables starting with ANSIBLE

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Pin molecule to last known good
- tripleo-container-manage: introduce tripleo_container_manage_valid_exit_code
- Add more doc for tripleo-container-manage
- tripleo_container_manage: skip shutdown.yml if not necessary
- tripleo-container-manage: add tripleo_container_manage_systemd_teardown
- Execute healthchecks as root
- Update the helper filter for needs_delete
- Relax needs_delete() filter
- tripleo-container-manage: allow to override a container config
- tripleo-container-image: add |list to containers_commands
- tripleo-container-manage: show podman commands that are executed
- Initial documentation for tripleo-container-manage role

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Octavia: do not attempt container restart on empty list (rhbz#1794328)

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Improve idempotency of podman_container
- [SQUASH] backport tripleo-container-manage to stable/train
- paunch: use utils.load_config()

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Add action plugin for all_nodes data

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Generate the /etc/hosts content once.

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Allow comments in variable files to be rendered in docs

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Remove dracut-config-generic package

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Remove extra backslash in awk for tripleo-ceph-uuid role

* Mon Jan 13 2020 Giulio Fidente <gfidente@redhat.com> 0.4.2-0.20200110023759.ee731ba
- Remove extra backslash in awk for tripleo-ceph-uuid role (rhbz#1783299)

* Thu Jan 09 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Merge "paunch: only read container config JSON which starts by "hashed-"" into stable/train
- Use module command to run podman
- Include stdout and stderr in return of podman_container
- paunch: only read container config JSON which starts by "hashed-"

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Remove old Heat hosts entries in tripleo-hosts-entries
- Fix network hostnames in tripleo-hosts-entries
- Add tripleo-hosts-entries role

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Create Validations logging directory

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Copy all_nodes.json instead of rendering template

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Move localhost_address to net_ip_map hieradata

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Don't include tuned tasks when checkmode

* Sat Dec 07 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Networks may be none

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Handle range in the cpu_mask conversion for DPDK cores" into stable/train
- Handle range in the cpu_mask conversion for DPDK cores

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- tripleo-hieradata: re-enable "service_names"

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Optionally add ctlplane vips

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Delete Octavia configuration leftovers" into stable/train
- Delete Octavia configuration leftovers

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Ensure plugin path is correct

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Fix for Ansible playbook error, variable is undefined" into stable/train
- Merge "Adding setup_rear and setup_nfs task" into stable/train
- Merge "Make sure we add all_nodes_extra_map_data to all_nodes" into stable/train
- Fix for Ansible playbook error, variable is undefined
- Make sure we add all_nodes_extra_map_data to all_nodes
- Adding setup_rear and setup_nfs task

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Cast single value list as a string for config id" into stable/train
- Cast single value list as a string for config id

* Fri Nov 29 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Make sure role_networks is used from current processed node

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Add LVM2 package install to bootstrap

* Tue Nov 19 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Fix ssh_known_hosts hostname entries

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Prefer ovn_dbs_vip from all_nodes_extra_map_data

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Fix enabled_services to include all_nodes_extra_map_data" into stable/train
- Fix enabled_services to include all_nodes_extra_map_data

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Include ceph-ansible filter_plugins" into stable/train
- Include ceph-ansible filter_plugins
- Revert "Fix ssh_known_hosts hostname entries"

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Fix ssh_known_hosts hostname entries

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Add support for --limit option into ceph-ansible call

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Fix the filter plugin location for triple-ovs-dpdk role

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Revert "Workaround for ansible-lint installation failure"

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Simplify octavia post deploy configs" into stable/train
- Fix invalid variable issue with StorageNFS
- Simplify octavia post deploy configs

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Update TOX/UPPER_CONSTRAINTS_FILE for stable/train" into stable/train
- Workaround for ansible-lint installation failure
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Sat Oct 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- paunch: support a directory for "config" parameter

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix booleans settings in podman_container

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix cellv2 role handler"
- Merge "Add the Apache license to the overcloud-delete playbook"
- Merge "Use executable for podman container from params"
- Merge "Install packages and load kernel modules before configuring sysctl."
- Use executable for podman container from params
- Merge "Update config to support RHEL/CENT8"
- Fix cellv2 role handler
- Add the Apache license to the overcloud-delete playbook
- Install packages and load kernel modules before configuring sysctl.
- Update config to support RHEL/CENT8

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove leftovers for podman-image*
- Merge "Remove readme files within the roles"
- Merge "Add a playbook for the "openstack overcloud delete" CLI Command"
- podman_container: only add --volume if item not empty
- Add a playbook for the "openstack overcloud delete" CLI Command
- Remove readme files within the roles

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- podman_container: command now accepts lists

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "scenario010 nonvoting""
- Revert "scenario010 nonvoting"

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Optional flag file for tripleo-transfer to prevent overwriting"
- Optional flag file for tripleo-transfer to prevent overwriting

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix port info lookup parsing"
- Use dynamic argument_spec from documentation
- Fix port info lookup parsing
- Change parameters processing to class based
- Merge "paunch: add support for 'cleanup'"
- Merge "podman_container: add log_driver support"
- podman_container: add log_driver support
- Merge "podman_container: move ulimit into a list"
- Merge "podman_container: fix some booleans"
- Merge "Add podman_volume_info ansible module"
- Merge "Set calling_ansible_environment_variables after preset vars"
- Merge "Add podman_container module"
- podman_container: move ulimit into a list
- podman_container: fix some booleans
- Set calling_ansible_environment_variables after preset vars
- Add podman_container module
- Add podman_volume_info ansible module
- paunch: add support for 'cleanup'

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove podman_image*"
- Merge "Add missing [] around all_nodes_extra_map_data"
- Add missing [] around all_nodes_extra_map_data
- Remove podman_image*


